# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following commands:
#
#   cp /etc/X11/xorg.conf /etc/X11/xorg.conf.custom
#   sudo sh -c 'md5sum /etc/X11/xorg.conf >/var/lib/xfree86/xorg.conf.md5sum'
#   sudo dpkg-reconfigure xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/lib/X11/fonts/misc"
#	FontPath	"/usr/share/fonts/X11/cyrillic"
#	FontPath	"/usr/lib/X11/fonts/cyrillic"
	FontPath	"/usr/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/CID"
	FontPath	"/usr/lib/X11/fonts/CID"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/lib/X11/fonts/75dpi"
        # paths to defoma fonts
#	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID"
	# Path to locally compiled drivers
	ModulePath	"/usr/local/lib/xorg/modules"
	ModulePath	"/usr/lib/xorg/modules"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"vbe"
EndSection

###############################################################################

Section "InputDevice"
	Identifier	"PS2 Keyboard"
	Driver		"evdev"
	Option "Device"	"/dev/input/event1"
EndSection

Section "InputDevice"
	Identifier	"Power Switch"
	Driver		"evdev"
	Option "Device"	"/dev/input/event2"
EndSection

Section "InputDevice"
	Identifier	"PS2 Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ExplorerPS/2"
EndSection

Section "InputDevice"
	Identifier "Touchscreen"
	Driver "wacom"
	Option "Type" "stylus"
	Option "Device" "/dev/ttyS0"
	Option "ForceDevice" "ISDV4"
	Option "TPCButton" "off"
EndSection

###############################################################################

Section "Device"
	Identifier      "OQO VGA"
	Driver          "siliconmotion"
	Option "Dualhead"	"off"
	Option "UseBIOS"	"off" # Otherwise no VT switching
	Option "PanelSize"	"800x480" # 1.7.0+ detect as 800x600 otherwise
	Option "Monitor-LVDS"	"OQO LCD"
	Option "Monitor-VGA"	"External Monitor"
	Option "AccelMethod"	"EXA" # Gets you acceleration when rotated
EndSection

Section "Monitor"
	Identifier      "OQO LCD"
EndSection

Section "Monitor"
	Identifier      "External Monitor"
	Option	"RightOf"	"OQO LCD"
	Option	"PreferredMode"	"1024x768"
EndSection

###############################################################################

Section "Screen"
	Identifier	"Default Screen"
	Device		"OQO VGA"
	DefaultDepth	16
	SubSection "Display"
		Depth	16
		Virtual	1824 1248
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"PS2 Keyboard"	"CoreKeyboard"
	InputDevice	"PS2 Mouse"	"CorePointer"
	InputDevice	"Touchscreen"	"AlwaysCore"
	InputDevice	"Power Switch"	"AlwaysCore"
EndSection

###############################################################################

Section "DRI"
	Mode	0666
EndSection
